Package Details: cccc 3.1.4-4

Git Clone URL: https://aur.archlinux.org/cccc.git (read-only)
Package Base: cccc
Description: C and C++ Code Counter, code metrics also for Ada and Java files
Upstream URL: http://cccc.sourceforge.net/
Licenses: GPL
Submitter: JonnyJD
Maintainer: JonnyJD
Last Packager: JonnyJD
Votes: 5
Popularity: 0.577151
First Submitted: 2009-07-05 20:57
Last Updated: 2015-06-08 17:04

Latest Comments

JonnyJD commented on 2014-09-21 18:48

Okay, the error @ras is talking about is this:

mkdir: cannot create directory '/var/abs/local/_src/cccc/pkg': Permission denied
install.mak:42: recipe for target 'install_cccc' failed
make[1]: [install_cccc] Error 1 (ignored)
rm -f /var/abs/local/_src/cccc/pkg/cccc/usr/bin/cccc
rm: cannot remove '/var/abs/local/_src/cccc/pkg/cccc/usr/bin/cccc': Permission denied
install.mak:42: recipe for target 'install_cccc' failed
make[1]: [install_cccc] Error 1 (ignored)
cp ../cccc/cccc /var/abs/local/_src/cccc/pkg/cccc/usr/bin
cp: failed to access '/var/abs/local/_src/cccc/pkg/cccc/usr/bin': Permission denied
install.mak:42: recipe for target 'install_cccc' failed
make[1]: *** [install_cccc] Error 1
make[1]: Leaving directory '/var/abs/local/_src/cccc/src/cccc-3.1.4/install'
makefile:23: recipe for target 'install' failed
make: *** [install] Error 2
==> ERROR: A failure occurred in build().
Aborting...

The reason is a change in makepkg.
Fixed with the suggested change in the PKGBUILD.

Thanks.

ras commented on 2014-09-18 15:31

this fixes the makepkg error for me

--- PKGBUILD.orig 2013-03-13 13:14:18.000000000 +0100
+++ PKGBUILD 2014-09-18 17:27:29.999200006 +0200
@@ -18,3 +18,3 @@
sed -e 's/su root -c "make -f install.mak"/make -f install.mak/' \
- -i makefile || return 1
+ -e 's/all : pccts cccc test install/all : pccts cccc test/' -i makefile || return 1
sed -e 's:/usr/local/bin:'$pkgdir'/usr/bin:' \

ras commented on 2014-09-18 15:29

--- PKGBUILD 2014-09-18 17:27:29.999200006 +0200
+++ PKGBUILD.orig 2013-03-13 13:14:18.000000000 +0100
@@ -16,7 +16,7 @@
cd "$srcdir/$pkgname-$pkgver"

sed -e 's/su root -c "make -f install.mak"/make -f install.mak/' \
- -e 's/all : pccts cccc test install/all : pccts cccc test/' -i makefile || return 1
+ -i makefile || return 1
sed -e 's:/usr/local/bin:'$pkgdir'/usr/bin:' \
-e 's/\$(MKDIR)/\$(MKDIR) -p/' -i install/install.mak || return 1
patch -p1 < ../gcc47.patch

this fixes the compile error please update

JonnyJD commented on 2013-02-18 18:26

patched for gcc 4.7

joshdmiller commented on 2011-03-13 00:26

Error on compilation:

cp ../cccc/cccc /tmp/yaourt-tmp-joshua/aur-cccc/pkg/usr/bin
cp: cannot stat `../cccc/cccc': No such file or directory
make[1]: *** [install_cccc] Error 1
make[1]: Leaving directory `/tmp/yaourt-tmp-joshua/aur-cccc/src/cccc-3.1.4/install'
make: *** [install] Error 2